Startup and Shutdown

## Functions

void | __kmpc_begin (ident_t *loc, kmp_int32 flags)
void | __kmpc_end (ident_t *loc)

## Detailed Description

These functions are for library initialization and shutdown.

## Function Documentation

## __kmpc_begin()

void __kmpc_begin | ( | ident_t * | loc,
|  | kmp_int32 | flags
| ) |  |

Parameters

  loc | in source location information
  flags | in for future use (currently ignored)

Initialize the runtime library. This call is optional; if it is not made then it will be implicitly called by attempts to use other library functions.

Definition at line 36 of file kmp_csupport.cpp.

## __kmpc_end()

void __kmpc_end | ( | ident_t * | loc | ) |

Parameters

  loc | source location information

Shutdown the runtime library. This is also optional, and even if called will not do anything unless the `KMP_IGNORE_MPPEND` environment variable is set to zero.

Definition at line 59 of file kmp_csupport.cpp.